<?php

/*
	Flocke's "Archive on the Fly"

	Set of PHP classes to create archives on the fly plus a class to extract
	the contents of ZIP files. See the included file README.txt for information
	on how to use it.

	This file: vs.tgz.php (class to create compressed tar archives)

	Version 1.2 - always find the latest version at
	http://flocke.vssd.de/prog/code/php/aotf/

	Copyright (C) 2005 Volker Siebert <flocke@vssd.de>
	All rights reserved.

	Permission is hereby granted, free of charge, to any person obtaining a
	copy of this software and associated documentation files (the "Software"),
	to deal in the Software without restriction, including without limitation
	the rights to use, copy, modify, merge, publish, distribute, sublicense,
	and/or sell copies of the Software, and to permit persons to whom the
	Software is furnished to do so, subject to the following conditions:

	The above copyright notice and this permission notice shall be included in
	all copies or substantial portions of the Software.

	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
	FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
	DEALINGS IN THE SOFTWARE.
 */

require_once("vs.tar.php");

class vsTgzFile extends vsTarFile {

	// Reset to create a new file
	function clear()
	{
		$this->_clear('application/x-tar', '.tar.gz');
	}

	// preflush doesn't work with compressed archives
	function preflush($minsize = 65536, $maxsize = 0)
	{
		return '';
	}

	// Returns the compressed archive data
	function finish()
	{
		$res = gzencode($this->data, $this->_fix_level());

		$this->clear();
		return $res;
	}

}

?>